<?php

namespace App\Controllers;

use App\Models\PredioModel;

class Predios extends BaseController
{
    protected $model;

    public function __construct()
    {
        $this->model = new PredioModel();
    }

    public function index()
    {
        $filtros = [
            'cod_parcel' => $this->request->getGet('cod_parcel'),
            'cod_ubicac' => $this->request->getGet('cod_ubicac'),
            'cod_fijo'   => $this->request->getGet('cod_fijo'),
            'tipo_predi' => $this->request->getGet('tipo_predi'),
            'latitud'    => $this->request->getGet('latitud'),
            'longitud'   => $this->request->getGet('longitud'),
            'calle'      => $this->request->getGet('calle'),
            'nombres'    => $this->request->getGet('nombres'),
            'apellidos'  => $this->request->getGet('apellidos'),
        ];

        $porPagina = 10;

        $data['items'] = $this->model
            ->buscar($filtros)
            ->orderBy('cod_parcel', 'ASC')
            ->paginate($porPagina);

        $data['pager'] = $this->model->pager;
        $data['search'] = $filtros;

        return view('predios/index', $data);
    }


    public function delete($id)
    {
        $usuarioModel = new PredioModel();
        $usuarioModel->delete($id);

        return redirect()->to(base_url('predios'))->with('status', 'Predio eliminado correctamente');
    }
    
    public function verpredio_ol ($gid) {

        // se debe crear la variable de session para guardar el url del servidor grafico
        $i_jameuge = "https://server1.jmap4.com/jvisorbolivia/index.html?tipo_consulta=predios_gid";
        $i_jameuge = $i_jameuge . "&gid=" . $gid;
        $i_jameuge = $i_jameuge . "&ip_host=server1.jmap4.com";
        //redirect($i_jameuge);
        //return redirect()->to('https://server1.jmap4.com/jvisorbolivia/index.html?tipo_consulta=predios_gid&gid=1&ip_host=server1.jmap4.com');
        return redirect()->to($i_jameuge);
    }
    
    
}
